Panduan pembalasan.id
Contacts A P I

Update a contact

PATCH
/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}

Update a contact's attributes

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

contact_identifier*string

The source id of contact obtained on contact create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/public/api/v1/inboxes/string/contacts/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "name": "string",
  "email": "string",
  "phone_number": "string",
  "identifier": "string",
  "blocked": true,
  "additional_attributes": {},
  "custom_attributes": {},
  "contact_type": "string",
  "country_code": "string",
  "last_activity_at": "string",
  "created_at": "string",
  "updated_at": "string",
  "last_name": "string",
  "middle_name": "string",
  "location": "string",
  "account_id": 0,
  "company_id": 0,
  "label_list": [
    "string"
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}